#include <Redis.h>

#define WIFI_SSID       "SSID"
#define WIFI_PASSWORD   "PASSWORD"

#define REDIS_ADDR      "127.0.0.1"
#define REDIS_PORT      6379
#define REDIS_PASSWORD  ""

Redis redis(REDIS_ADDR, REDIS_PORT);

void setup() 
{
    Serial.begin(115200);
    Serial.println();

    WiFi.mode(WIFI_STA);
    WiFi.begin(WIFI_SSID, WIFI_PASSWORD);
    Serial.print("Connecting to the WiFi");
    while (WiFi.status() != WL_CONNECTED) 
    {
        delay(250);
        Serial.print(".");
    }
    Serial.println();
    Serial.print("IP Address: ");
    Serial.println(WiFi.localIP());

    if (redis.begin(REDIS_PASSWORD)) 
    {
        Serial.println("Connected to the Redis server!");
    } 
    else 
    {
        Serial.println("Failed to connect to the Redis server!");
        return;
    }

    Serial.print("SET foo bar: ");
    if (redis.set("foo", "bar"))
    {
        Serial.println("ok!");
    }
    else
    {
        Serial.println("err!");
    }

    Serial.print("GET foo: ");
    Serial.println(redis.get("foo"));

    redis.close();
    Serial.print("Connection closed!");
}

void loop() 
{
}
